Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.RMSSecurityCallback Class Reference
Inheritance diagram for FoxitPDFSDKPython3.RMSSecurityCallback:

## Public Member Functions
def | GetSecurityType ()
| Get the encryption type of security callback. More...
Public Member Functions inherited from FoxitPDFSDKPython3.CustomSecurityCallback
def | CreateContext (filter, sub_filter, encrypt_info)
| A callback function used to create context for encryption and decryption. More...
def | DecryptData (decryptor, encrypted_data, encrypted_data_len)
| A callback function used to decrypt the encrypted data. More...
def | EncryptData (context, obj_num, gen_num, src_data, src_data_len, out_dst_buffer, out_dst_buffer_len)
| A callback function used to get encrypted data. More...
def | FinishDecryptor (decryptor)
| A callback function used to finish the decryption. More...
def | GetCipher (context)
| A callback function used to get the cipher type. More...
def | GetDecryptedSize (context, src_data_size)
| A callback function used to get the estimated decrypted data size. More...
def | GetEncryptedSize (context, obj_num, gen_num, src_data, src_data_len)
| A callback function used to get the estimated encrypted size. More...
def | GetEncryptKey (context)
| A callback function used to get the encryption key. More...
def | GetUserPermissions (context, user_permission)
| A callback function used to get the user permissions. More...
def | IsOwner (context)
| A callback function used to check if current user is the owner of the PDF document. More...
def | ReleaseContext (context)
| A callback function used to release the context for encryption and decryption. More...
def | StartDecryptor (context, obj_num, gen_num)
| A callback function used to start a decryption. More...
def | UseStandardCryptoMethod (context)
| A callback function to check if to use standard crypto method or custom crypto method. More...
Public Member Functions inherited from FoxitPDFSDKPython3.SecurityCallback
def | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for RMS decryption and encryption. If user wants to use RMS security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register the RMS security callback object to Foxit PDF SDK by function FoxitPDFSDKPython3.Library.RegisterSecurityCallback with filter "MicrosoftIRMServices" or "FoxitRMS". Function FoxitPDFSDKPython3.Library.UnregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

## Member Function Documentation

## ◆ GetSecurityType()

def FoxitPDFSDKPython3.RMSSecurityCallback.GetSecurityType | ( |  | ) |

Get the encryption type of security callback.

Note
  User should not override this function, otherwise there will be unexpected behavior.

Returns
  The encryption type. It would always be FoxitPDFSDKPython3.PDFDoc.e_EncryptRMS .

Reimplemented from FoxitPDFSDKPython3.CustomSecurityCallback.